Subject: Re: [PATCH 3/4] mpc8349emitx: Add chosen node for default stdout path

From: Scott Wood <[email-masked]>
Date: Fri, 20 Jul 2007 11:14:46 -0500

Jerry Van Baren wrote:
> Scott Wood wrote:
>> Kim Phillips wrote:
>>> The LIBFDT implementation replaces any existing /chosen with its fixed
>>> up version.
> 
> 
> Sort of.  If /chosen doesn't exist, it creates it.
> 
> If /chosen exists and "force" parameter is false, it doesn't touch it. 
> If "force"  is true, it creates or fixes up properties.  The "bootm" 
> command passes in force == false.  The "fdt" command passes in force == 
> true.
> 
> The "force" parameter was added to sort of emulate the previous bootm 
> command behavior (but behave better in the case where /chosen already 
> existed).

The problem is that "force" is node-granular, rather than 
property-granular -- If I add a /chosen/linux,stdout-path in the 
original dts (or via an fdt command), then bootm will decline to add 
bootargs and initrd information to the /chosen node.

-Scott